## org.junit.runners.parameterized
Interface ParametersRunnerFactory

All Known Implementing Classes:
  BlockJUnit4ClassRunnerWithParametersFactory

    public interface ParametersRunnerFactory

A `ParametersRunnerFactory` creates a runner for a single `TestWithParameters`.

Since:
  4.12

Method Summary
`Runner` `createRunnerForTestWithParameters(TestWithParameters test)` Returns a runner for the specified `TestWithParameters`.

Method Detail

### createRunnerForTestWithParameters

    Runner createRunnerForTestWithParameters(TestWithParameters test)
                                             throws InitializationError

  Returns a runner for the specified `TestWithParameters`.

  Throws:
    `InitializationError` - if the runner could not be created.

Copyright © 2002–2020 JUnit. All rights reserved.